gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Gtk::Menu_Helpers::CheckMenuElem Class Reference
Inheritance diagram for Gtk::Menu_Helpers::CheckMenuElem:
[legend]
Collaboration diagram for Gtk::Menu_Helpers::CheckMenuElem:
[legend]

## Public Member Functions
| CheckMenuElem (CheckMenuItem& child)
| CheckMenuElem (const Glib::ustring& label, const CallSlot& slot=CallSlot())
| Create a labeled, non-accelerated MenuItem with a sigc::slot. More...
| CheckMenuElem (const Glib::ustring& label, const AccelKey& key, const CallSlot& slot=CallSlot())
| Create a labeled, accelerated CheckMenuItem with a sigc::slot. More...
Public Member Functions inherited from Gtk::Menu_Helpers::Element
| Element ()
| Element (MenuItem& child)
| ~Element ()
const Glib::RefPtr< MenuItem >& | get_child () const

## Additional Inherited Members
Public Types inherited from Gtk::Menu_Helpers::Element
typedef sigc::slot< void > | CallSlot
Protected Member Functions inherited from Gtk::Menu_Helpers::Element
void | set_child (MenuItem* pChild)
void | set_accel_key (const AccelKey& accel_key)
Protected Attributes inherited from Gtk::Menu_Helpers::Element
Glib::RefPtr< MenuItem > | child_

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::CheckMenuElem::CheckMenuElem | ( | CheckMenuItem& | child | ) |

Gtk::Menu_Helpers::CheckMenuElem::CheckMenuElem | ( | const Glib::ustring & | label,
|  | const CallSlot& | slot = `CallSlot()`
| ) |  |

Create a labeled, non-accelerated MenuItem with a sigc::slot.

Parameters

  label | The menu item's name
  slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::CheckMenuElem::CheckMenuElem | ( | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | const CallSlot& | slot = `CallSlot()`
| ) |  |

Create a labeled, accelerated CheckMenuItem with a sigc::slot.

Parameters

  label | The menu item's name
  key | The accelerator key combination
  slot | Use sigc::mem_fun() to specify a signal handler

The documentation for this class was generated from the following file:

- gtkmm/menu_elems.h